@charset "utf-8";
/* Info
 ========================================================================== */
/**
    * 1. Writer: Inseon Choi. (Weaverloft Corp.)
    * 2. Production Date: 2025-08
    * 3. Client: Auto-seed
 */

/* ====== 교육자료실 공통 영역 ====== */
.sub-sec {margin-bottom: 160px;}
.sr-only { position: absolute; width: 1px; height: 1px; padding: 0; margin: -1px; overflow: hidden; clip: rect(0, 0, 0, 0); white-space: nowrap; border: 0;}
.search-box {text-align: center;margin: 80px auto 60px;}
.search-box > p {font-size:24px; font-weight:700;}
.search-box > p > span{font-size:inherit; font-weight:inherit; color: var(--point-color);}
.search-empty-box { display: flex; justify-content: center; align-items: center; flex-direction: column; width: 100%; max-width: 1520px; margin:30px auto 0; border: 1px solid var(--border-color-d); border-radius: 16px; min-height: 397px; border-radius: 6px; text-align: center;}
.search-empty-box p { position: relative; font-size: 15px; font-weight: 500;  color: var(--text-color-8);}
.search-empty-box p::before { content: ""; display: block; width: 28px; height: 28px; background: url('../images/common/icon-empty-8A8A9A.svg') no-repeat center; background-size: 100% 100%; margin: 0 auto 8px;}


/* ====== 교육자료실 리스트 ====== */
.edu-list-wrap {max-width: 1520px; margin: 80px auto 0;}

/* 새글쓰기 버튼 관리자 only  */
.edu-list-wrap .filter-wrap.sort .filter-btn.register-order:after {content: none;}
.edu-list-wrap .filter-wrap.sort .write-btn {margin-left: 8px;}

/* 카드 리스트 영역 */
.edu-list-wrap .card-list {display: grid;grid-template-columns: repeat(3, 1fr); gap: 40px;}
.edu-list-wrap .card-item {display: flex;flex-direction: column; transition: all 0.3s ease;}
.edu-list-wrap .card-item .card-thumb {margin-bottom: 20px; border-radius: 16px; background-color: var(--bg-color-e5); overflow: hidden;transition: all 0.3s ease;}
.edu-list-wrap .card-item .card-thumb img {width: 100% !important;height: auto;object-fit: contain; aspect-ratio: 48 / 29;}
.edu-list-wrap .card-item .tag {font-size: 16px;padding:6px 18px;border: 1px solid var(--point-color); border-radius: 22px; color: var(--point-color);font-weight: 700;}
.edu-list-wrap .card-item .title {  display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; height:76px;   padding: 14px 0 0px; font-size: 20px; line-height: 1.5; color: var(--text-color-2); font-weight:600;}
/* 리스트 카드 호버 */
.edu-list-wrap .card-item:hover .card-thumb {transform: translateY(-2px) scale(1.0);box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08);}
/* .edu-list-wrap .card-item:hover .title {text-decoration: underline;text-underline-position : under;} */

/* 뷰,좋아요 영역 */
.status-btn-wrap {margin-top: 24px; justify-content: flex-start;}
.item-icon-list {display: flex; gap: 7px;align-items: center;}
.item-icon-list li {display: flex;align-items: center;gap: 4px;cursor: default;}
.item-icon-list li a {display: flex;align-items: center;gap: 4px;cursor: pointer;}
.item-icon-list li span {line-height: normal;font-size: 14px;color: var(--text-color-8);font-weight: 500;}
.grid-item .item-icon-list li a {padding: 5px 15px 5px 7px;}
.grid-item.img-item .item-icon-list li {color: #fff;}
.grid-item.img-item .item-icon-list li a {color: #fff;}
.item-icon-list li .icon-box {display: block;width: 14px;height: 14px;background-size: 100% 100%;background-repeat: no-repeat;background-position: center;}
.item-icon-list li.view .icon-box {background-image: url('../images/common/icon-list-view.svg');}
.item-icon-list li.like .icon-box {background-image: url('../images/common/icon-list-likes.svg');}
.item-icon-list li.like.on .icon-box {background-image: url('../images/common/icon-list-likes-on.svg');}
.item-icon-list li.like:hover .num{opacity: 0.8;}
.item-icon-list.status-btn li {font-size: 1rem;color: var(--text-dark-color);}
.item-icon-list.status-btn li a {font-size: 1rem;color: var(--text-dark-color);}
.item-icon-list.status-btn li .icon-box {width: 20px;height: 20px;}

/* 더보기 버튼 */
.more-btn-wrap {text-align: center; margin-top: 70px;}
.more-btn-wrap .more-btn {max-width: 160px;}

/* ====== 교육자료실 상세 ====== */


/* ====== 교육자료실 등록 ====== */
.edit-sec {max-width: 1100px; margin: 80px auto 160px;  border-top: 2px solid var(--text-color-2);}
.edit-sec .input-box-wrap {padding: 30px 20px;}
.edit-sec .drag-file-area {padding: 0 20px 30px;}
.edit-sec .radio-box-wrap {gap: 40px; padding: 20px; border-top:1px solid var(--border-color-d); border-bottom:1px solid var(--border-color-d); }
.edit-sec .radio-box-wrap .cell-tit {font-size:16px; font-weight:600; color: var(--text-color-5);}
.edit-sec .radio-box-wrap .basic-radio-box.large input[type="radio"] + label > span {font-size:16px; font-weight:500; color: var(--text-color-5);}
.edit-sec .editor-box-area{padding:30px 20px 20px;}
.edit-sec .editor-box-area .editor-content {background: #f5f5f5; text-align: center; height: 600px; line-height: 600px; border-radius: 6px; color: var(--text-color-8); border: 1px solid var(--border-color-d);}

.edit-sec .action-btn-wrap {padding-top: 30px; border-top: 1px solid var(--border-color-d);}